Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.event
Class ClickEvent

    java.lang.Object
      java.util.EventObject
          de.grogra.pf.ui.event.EditEvent
              de.grogra.pf.ui.event.InputEditEvent
                  de.grogra.pf.ui.event.MouseEditEvent
                      de.grogra.pf.ui.event.ClickEvent

All Implemented Interfaces:
  Context, java.io.Serializable, java.lang.Cloneable

    public class ClickEvent

extends MouseEditEvent

See Also:
  Serialized Form

Field Summary
`static int` | `MOUSE_CLICKED`
`static int` | `MOUSE_PRESSED`
`static int` | `MOUSE_RELEASED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ClickEvent()`

Method Summary

Methods inherited from class de.grogra.pf.ui.event.MouseEditEvent
`getClickCount, getEventType, getModifiers, getX, getY, isAltDown, isControlDown, isMetaDown, isShiftDown, paramString, set, set`

Methods inherited from class de.grogra.pf.ui.event.InputEditEvent
`consume, isConsumed`

Methods inherited from class de.grogra.pf.ui.event.EditEvent
`clone, getComponent, getPanel, getWindow, getWorkbench, set, set, set, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOUSE_CLICKED

    public static final int MOUSE_CLICKED

See Also:
  Constant Field Values

### MOUSE_PRESSED

    public static final int MOUSE_PRESSED

See Also:
  Constant Field Values

### MOUSE_RELEASED

    public static final int MOUSE_RELEASED

See Also:
  Constant Field Values

Constructor Detail

### ClickEvent

    public ClickEvent()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD